<app-navbar></app-navbar>
<div class="container">
    <div class="row pt-3 mob-p-0">
       <div class="col-lg-12 m-a">
          <ul class="page-url">
             <li><a>Votre compte</a></li>
             <li><a class="active">Vos adresse</a></li>
          </ul>
          <div class="row mb-3" *ngIf="myaddress">
             <div class="col-lg-12 col-md-12 col-sm-12 col-12">
                <h2>Vos adresse</h2>
             </div>
             <div class="col-lg-4 col-md-4 col-sm-6 col-12">
                <a  (click)="openDialog()" class="adres-4 inside-4">
                   <h2 class="plus-h2"><i class="fa-solid fa-plus"></i></h2>
                   <span>Ajouter une adresse</span>
                </a>
             </div>
             <div class="col-lg-4 col-md-4 col-sm-6 col-12" *ngFor="let address of myaddress.data.address">
                <div class="adres-4">
                   <p>{{address.name}}</p>
                   <p>{{address.address.address}}</p>
                   <p>{{address.pobox}}</p>
                   <p>{{address.country}} {{address.city}}</p>
                   <p>Numéro de téléphone {{address.countryCode}} {{address.telephone}}</p>
                 
                   <div class="ankr-div">
                     <!-- <a href=""><i class="fa-regular fa-pen-to-square"></i> Modifier  | &nbsp;&nbsp;</a> -->
                     <a (click)="deleteAddress(address._id)"> <i class="fa fa-trash"></i> Effacer </a>
                     &nbsp; &nbsp;
                     <a (click)="editAddress(address._id)"> <i class="fa-regular fa-pen-to-square"></i> Modifier </a>
                  </div>
                </div>
             </div>
            
          </div>
          <!-- Nav pills -->
       </div>
    </div>
    <div id="demo" class="alert alert-success alert-dismissible fade show mb-0" style="display:none">
       <button type="button" class="btn-close" data-bs-dismiss="alert"></button>
       <strong><i class="fa-solid fa-circle-check"></i></strong> Adresse par défaut modifiée
    </div>
 </div>
<app-footer></app-footer>
